Subject: Types of User IDs

From: Will Price <[email-masked]>
Date: Sat, 18 Dec 1999 02:08:55 -0800

I'm writing up a draft on how to use OpenPGP with IKE, and I wanted
to include a note about how to use IP addresses as a type of user ID.
 In looking over the OpenPGP draft that is currently out there, it
looks like no information was ever included in how to do different
types of user IDs like we have been doing for years now.  The only
statement is that generally the user ID is an RFC822 name, but there
is no way to distinguish between that and a photo ID for instance --
at least not one that is stated in the document.

I'm going to just leave this out of my draft for now, but the next
version of the OpenPGP document should surely correct this and
include several different types of user IDs including photo ID, IP
address, and DNS name.

- -- Will

Will Price, Architect/Sr. Mgr., PGP Client Products
Total Network Security Division
Network Associates, Inc.